#
# Please do not update/rebuild/touch this package before asking first to mikala , lmenut and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Qt wrapper for NetworkManager API
Name:           networkmanager-qt
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  networkmanager-devel
BuildRequires:  pkgconfig(libnm-util)
BuildRequires:  pkgconfig(libnm-glib)
%description
Qt wrapper for NetworkManager API

#--------------------------------------------------------------------

%define kf5networkmanagerqt_major 5
%define libkf5networkmanagerqt %mklibname kf5networkmanagerqt %{kf5networkmanagerqt_major}

%package -n %libkf5networkmanagerqt
Summary:      Qt wrapper for NetworkManager API
Group:        System/Libraries

%description -n %libkf5networkmanagerqt
Qt wrapper for NetworkManager API

%files -n %libkf5networkmanagerqt
%_kf5_libdir/libKF5NetworkManagerQt.so.%{kf5networkmanagerqt_major}*
%_kf5_libdir/libKF5NetworkManagerQt.so.6

#--------------------------------------------------------------------

%define networkmanagerqt_devel %mklibname %name -d

%package -n %networkmanagerqt_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5networkmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(libnm)

Obsoletes:      %{_lib}plasma5-libnm-qt-devel < 5.11.0
Provides:       %{_lib}plasma5-libnm-qt-devel = %version-%release

%description -n %networkmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %networkmanagerqt_devel
%_kf5_includedir/NetworkManagerQt
%_kf5_includedir/networkmanagerqt_version.h
%_kf5_libdir/cmake/KF5NetworkManagerQt
%_kf5_libdir/libKF5NetworkManagerQt.so
%_qt5_libdir/qt5/mkspecs/modules/qt_NetworkManagerQt.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194172
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089002
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074574
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072238
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058393
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050570
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045148
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041370
- New version 5.24.0

* Fri Jul 08 2016 neoclust <neoclust> 5.23.0-2.mga6
+ Revision: 1039762
- Fix deps of the devel package

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021968
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014378
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999667
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986360
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942286
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921313
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912972
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909912
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900654
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899511
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 899163
- New version 5.16.0

* Sun Nov 08 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 898489
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881861
- New version 5.14.0
- New version 5.14.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863350
- New version 5.13.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros
- New version 5.12.0

* Sat Jul 04 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849823
- imported package networkmanager-qt

